#pragma once
#include "Entity.h"
class CS_Boss_TalaBlade :
    public Entity
{
public:
    CS_Boss_TalaBlade(std::shared_ptr<Entity> parent);
    void Step() override;
    void Attack(std::weak_ptr<Entity> dst, int* outDamage, float* outAngle, bool* outTakedown, int* outElemType, float* outShockForce, float* outHeavy) override;
    float dx = 0;
    float dy = 0;
    int act_no = 0;
    int ani_wait = 0;
    int count1 = 0;
    int existTime = 100;
    float dir_x = 0;
    float dir_y = 0;
};

void SetCS_Boss_TalaBlade(std::shared_ptr<Entity> parent, float x, float y, float dir_x, float dir_y);